Skip to main content
`Ctrl`+`K`

# SVDStoppingCtx

Data structure (C struct) to hold additional information to be used in some stopping test functions.

## Synopsis

    struct _n_SVDStoppingCtx {
      PetscReal firstsv;    /* the value of the first converged singular value */
      PetscReal lastsv;     /* the value of the last converged singular value */
      PetscReal thres;      /* threshold set with SVDSetThreshold() */
      PetscBool threlative; /* threshold is relative */
      SVDWhich  which;      /* which singular values are being computed */
    };

## See Also

SVD: Singular Value Decomposition, `SVDSetStoppingTestFunction()`

## Level

advanced

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages